## org.exist.start
Class Main

    java.lang.Object
      org.exist.start.Main

public class Main
extends java.lang.Object

Version:
  $Revision: 4163 $

  TODO: - finish possible jetty.home locations - use File.toURI.toURL() on JDK 1.4+ - better handling of errors (i.e. when jetty.home cannot be autodetected...) - include entries from lib _when needed_
Author:
  Jan Hlavaty (hlavac@code.cz), Wolfgang Meier (meier@ifs.tu-darmstadt.de)

Constructor Summary
`Main(java.lang.String mode)`

Method Summary
`Classpath` `constructClasspath(java.io.File homeDir, java.lang.String[] args)`
`java.io.File` `detectHome()`
`static Main` `getMain()` Singleton Factory Method
`java.lang.String` `getMode()`
`static void` `invokeMain(java.lang.ClassLoader classloader, java.lang.String classname, java.lang.String[] args)`
`static void` `main(java.lang.String[] args)`
`void` `run(java.lang.String[] args)`
`void` `shutdown()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Main

    public Main(java.lang.String mode)

Method Detail

### main

    public static void main(java.lang.String[] args)

### getMain

    public static Main getMain()

  Singleton Factory Method

### getMode

    public java.lang.String getMode()

### invokeMain

    public static void invokeMain(java.lang.ClassLoader classloader,
                                  java.lang.String classname,
                                  java.lang.String[] args)
                           throws java.lang.IllegalAccessException,
                                  java.lang.reflect.InvocationTargetException,
                                  java.lang.NoSuchMethodException,
                                  java.lang.ClassNotFoundException

  Throws:
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`
    `java.lang.NoSuchMethodException`
    `java.lang.ClassNotFoundException`

### run

    public void run(java.lang.String[] args)

### detectHome

    public java.io.File detectHome()

### constructClasspath

    public Classpath constructClasspath(java.io.File homeDir,
                                        java.lang.String[] args)

  Parameters:
    `args` -

### shutdown

    public void shutdown()

Copyright (C) Wolfgang Meier. All rights reserved.